ZipArchive::setArchiveComment
ZipArchive::setCommentName
ZipArchive
PHP Manual

# ZipArchive::setCommentIndex

(PHP 5 >= 5.2.0, PECL zip >= 1.4.0)

ZipArchive::setCommentIndex — Set the comment of an entry defined by its index

### Description

mixed ZipArchive::setCommentIndex ( int `$index` , string `$comment` )

Set the comment of an entry defined by its index.

### Parameters

`index`

  Index of the entry.

`comment`

  The contents of the comment.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 Open an archive and set a comment for an entry

`<?php
$zip = new ZipArchive;
$res = $zip->open('test.zip');
if ($res === TRUE) {
$zip->setCommentIndex(2, 'new entry comment');
$zip->close();
echo 'ok';
} else {
echo 'failed';
}
?>`

ZipArchive::setArchiveComment
ZipArchive::setCommentName
ZipArchive
PHP Manual